Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 176535 - sys-apps/hal-0.5.11-r7 fails 'make test', patch available
Summary: sys-apps/hal-0.5.11-r7 fails 'make test', patch available
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-30 08:14 UTC by Hans de Graaff
Modified: 2009-02-04 22:59 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans de Graaff gentoo-dev 2007-04-30 08:14:01 UTC
I've just tried to emerge sys-apps/hal-0.5.9-r1, and it fails on 'make test'. I have FEATURES="test" enabled. Here is the output: 

make[7]: Nothing to be done for `install-exec-am'.
test -z "/usr/share/hal/fdi" || /bin/mkdir -p "/var/tmp/portage/sys-apps/hal-0.5.9-r1/work/hal-0.5.9/hald/.local-fdi-test/usr/share/hal/fdi"
 /usr/bin/install -c -m 644 'fdi.dtd' '/var/tmp/portage/sys-apps/hal-0.5.9-r1/work/hal-0.5.9/hald/.local-fdi-test/usr/share/hal/fdi/fdi.dtd'
make[7]: Leaving directory `/var/tmp/portage/sys-apps/hal-0.5.9-r1/work/hal-0.5.9/fdi'
make[6]: Leaving directory `/var/tmp/portage/sys-apps/hal-0.5.9-r1/work/hal-0.5.9/fdi'
make[5]: Leaving directory `/var/tmp/portage/sys-apps/hal-0.5.9-r1/work/hal-0.5.9/fdi'
10:04:03.453 [I] create_cache.c:608: Loading rules
10:04:03.481 [E] create_cache.c:525: Cannot scan '.local-fdi-test/share/hal/fdi/preprobe': No such file or directory
10:04:03.481 [E] create_cache.c:683: Error generating fdi cache
FAIL: hald-cache-test.sh
===============================
1 of 1 tests failed
Please report to david@fubar.dk
===============================
make[4]: *** [check-TESTS] Error 1
make[4]: Leaving directory `/var/tmp/portage/sys-apps/hal-0.5.9-r1/work/hal-0.5.9/hald'
make[3]: *** [check-am] Error 2
make[3]: Leaving directory `/var/tmp/portage/sys-apps/hal-0.5.9-r1/work/hal-0.5.9/hald'
make[2]: *** [check-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/sys-apps/hal-0.5.9-r1/work/hal-0.5.9/hald'
make[1]: *** [check] Error 2
make[1]: Leaving directory `/var/tmp/portage/sys-apps/hal-0.5.9-r1/work/hal-0.5.9/hald'
make: *** [check-recursive] Error 1

!!! ERROR: sys-apps/hal-0.5.9-r1 failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_test
  ebuild.sh, line 1026:   Called qa_call 'src_test'
  environment, line 4515:   Called src_test
  ebuild.sh, line 653:   Called die


The problem seems that be that the paths in hald/hald-cache-test.sh are wrong, as the point to .local-fdi-test/share/hal/fdi/ instead of .local-fdi-test/usr/share/hal/fdi/ (note the extra /usr in there). Fixing this manually in hald-cache-test.sh fixes the problem and 'make test' works as expected.
Comment 1 jszwast 2007-05-31 07:35:36 UTC
Could this be the same problem as bug 176380?
Comment 2 Doug Goldstein gentoo-dev 2007-05-31 13:44:28 UTC
(In reply to comment #1)
> Could this be the same problem as bug 176380?
> 
Not even remotely close.


Thanks for the report Hans.
Comment 3 Doug Goldstein gentoo-dev 2007-06-14 20:58:27 UTC
Thanks. Fixed.
Comment 4 Hans de Graaff gentoo-dev 2008-04-05 04:50:30 UTC
It looks like this got broken again in hal 0.5.10:

make[6]: Entering directory `/var/tmp/portage/sys-apps/hal-0.5.10/work/hal-0.5.10/fdi'
make[7]: Entering directory `/var/tmp/portage/sys-apps/hal-0.5.10/work/hal-0.5.10/fdi'
make[7]: Nothing to be done for `install-exec-am'.
test -z "/usr/share/hal/fdi" || /bin/mkdir -p "/var/tmp/portage/sys-apps/hal-0.5.10/work/hal-0.5.10/hald/.local-fdi-test/usr/share/hal/fdi"
 /usr/bin/install -c -m 644 'fdi.dtd' '/var/tmp/portage/sys-apps/hal-0.5.10/work/hal-0.5.10/hald/.local-fdi-test/usr/share/hal/fdi/fdi.dtd'
make[7]: Leaving directory `/var/tmp/portage/sys-apps/hal-0.5.10/work/hal-0.5.10/fdi'
make[6]: Leaving directory `/var/tmp/portage/sys-apps/hal-0.5.10/work/hal-0.5.10/fdi'
make[5]: Leaving directory `/var/tmp/portage/sys-apps/hal-0.5.10/work/hal-0.5.10/fdi'
06:44:28.519 [E] create_cache.c:540: Cannot scan '.local-fdi-test/share/hal/fdi/preprobe': No such file or directory
06:44:28.519 [E] create_cache.c:701: Error generating fdi cache
FAIL: hald-cache-test.sh
===============================
1 of 1 tests failed
Please report to david@fubar.dk
===============================
make[4]: *** [check-TESTS] Error 1
make[4]: Leaving directory `/var/tmp/portage/sys-apps/hal-0.5.10/work/hal-0.5.10/hald'
make[3]: *** [check-am] Error 2
Comment 5 Doug Goldstein gentoo-dev 2008-04-06 16:40:45 UTC
We need a hand rolled patch for every revision since the make test paths are all hardcoded in upstream. compnerd, I'd just restrict test and be done with it. Unless you want to constantly re-roll these patches.
Comment 6 Doug Goldstein gentoo-dev 2008-04-06 16:41:15 UTC
It also probably would have been better to open a new bug. Since the original one was against 0.5.9
Comment 7 Hans de Graaff gentoo-dev 2008-05-22 18:14:36 UTC
Just for the record that this isn't fixed in 0.5.11.
Comment 8 Doug Goldstein gentoo-dev 2008-05-22 18:48:17 UTC
It won't be. Like I've said, upstream uses hardcoded paths for this stuff. The whole test setup needs to be rewritten. No one upstream is working on it and there are no plans to work on it since I've pretty much quit HAL.

Rest assured though, David Z is writing a completely new HAL replacement called DeviceKit which doesn't share any code. It might be fixed then.
Comment 9 Hans de Graaff gentoo-dev 2008-05-22 18:49:59 UTC
If it is clear that the tests are broken and won't be fixed then I think a RESTRICT="test" would be really useful.
Comment 10 Carsten Lohrke (RETIRED) gentoo-dev 2008-07-30 07:59:16 UTC
Still not fixed in 0.5.11-r1.
Comment 11 Doug Goldstein gentoo-dev 2008-07-30 13:26:16 UTC
The tests should only be broken in the case when you change where /var/tmp/portage resides, otherwise they should be fine. Unless of course someone dropped a patch I wrote a while back..
Comment 12 Lourdes Jones 2008-08-25 21:40:41 UTC
The hald_cache_test_path.patch is not included in the 0.5.11 patchset. Manually adding it from ${FILESDIR}/0.5.9/98_hald_cache_test_path.patch works without modification and allows the tests to complete.
Comment 13 Ryan Hill (RETIRED) gentoo-dev 2008-10-31 04:05:56 UTC
ping.  could I please get you guys to add this patch or restrict tests?
Comment 14 Tony Vroon gentoo-dev 2009-02-04 22:59:47 UTC
+*hal-0.5.11-r8 (04 Feb 2009)
+
+  04 Feb 2009; <chainsaw@gentoo.org> +hal-0.5.11-r8.ebuild:
+  Revive a patch by Cardoe to fix test failures, closes bug #176535. Enable
+  support for MacBook/MacBook Pro if USE="laptop", closes bug #200643. Patch
+  from Ambroz Bizjak <ambro@b4ever.net> removes ill-conceived UID checks so
+  NTFS volumes can be automounted, closes bug #205901. Upstream commits
+  scavenged by Ricardo Salveti <ricardo.salveti@openbossa.org> allow
+  mac80211-based wireless devices to be detected properly, closes bug
+  #246026. Reverted partition unhiding from bug #247025, it was already
+  controversial but has been proven to automount recovery partitions.